## cmus 2.4.2

=== Makefile ===
REV	= HEAD

# version from an annotated tag
_ver0	= $(shell git describe $(REV) 2>/dev/null)
# version from a plain tag
_ver1	= $(shell git describe --tags $(REV) 2>/dev/null)
# SHA1
_ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
# hand-made
_ver3	= v2.4.2

VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))

all: main plugins man

include config.mk
include scripts/lib.mk

CFLAGS += -D_FILE_OFFSET_BITS=64

CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) -lm $(COMPAT_LIBS)

input.o main.o ui_curses.o pulse.lo: .version
input.o main.o ui_curses.o pulse.lo: CFLAGS += -DVERSION=\"$(VERSION)\"
main.o server.o: CFLAGS += -DDEFAULT_PORT=3000

.version: Makefile
	@test "`cat $@ 2> /dev/null`" = "$(VERSION)" && exit 0; \
	echo "   GEN    $@"; echo $(VERSION) > $@

# programs {{{
cmus-y := \
	ape.o browser.o buffer.o cache.o cmdline.o cmus.o command_mode.o comment.o \
	convert.lo debug.o editable.o expr.o filters.o \
	format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o job.o \
	keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
	output.o pcm.o pl.o play_queue.o player.o \
	rbtree.o read_wrapper.o server.o search.o \
	search_mode.o spawn.o tabexp.o tabexp_file.o \
	track.o track_info.o tree.o u_collate.o uchar.o ui_curses.o \
	window.o worker.o xstrjoin.o

$(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS) $(DL_CFLAGS)

cmus: $(cmus-y) file.o path.o prog.o xmalloc.o
	$(call cmd,ld,$(CMUS_LIBS))

cmus-remote: main.o file.o path.o prog.o xmalloc.o
	$(call cmd,ld,$(COMPAT_LIBS))

# cygwin compat
DLLTOOL=dlltool

libcmus-$(CONFIG_CYGWIN) := libcmus.a

libcmus.a: $(cmus-y) file.o path.o prog.o xmalloc.o
	$(LD) -shared -o cmus.exe -Wl,--out-implib=libcmus.a -Wl,--base-file,cmus.base \
		-Wl,--export-all-symbols -Wl,--no-whole-archive $^ $(CMUS_LIBS)
	$(DLLTOOL) --output-def cmus.def --dllname cmus.exe --export-all-symbols $^
	$(DLLTOOL) --base-file cmus.base --dllname cmus.exe --input-def cmus.def --output-exp cmus.exp
	$(LD) -o cmus.exe -Wl,cmus.exp $^ $(CMUS_LIBS)

# }}}

# input plugins {{{
flac-objs		:= flac.lo
mad-objs		:= mad.lo nomad.lo
mikmod-objs		:= mikmod.lo
modplug-objs		:= modplug.lo
mpc-objs		:= mpc.lo
vorbis-objs		:= vorbis.lo
wavpack-objs		:= wavpack.lo
wav-objs		:= wav.lo
mp4-objs		:= mp4.lo
aac-objs		:= aac.lo
ffmpeg-objs		:= ffmpeg.lo

ip-$(CONFIG_FLAC)	+= flac.so
ip-$(CONFIG_MAD)	+= mad.so
ip-$(CONFIG_MIKMOD)	+= mikmod.so
ip-$(CONFIG_MODPLUG)	+= modplug.so
ip-$(CONFIG_MPC)	+= mpc.so
ip-$(CONFIG_VORBIS)	+= vorbis.so
ip-$(CONFIG_WAVPACK)	+= wavpack.so
ip-$(CONFIG_WAV)	+= wav.so
ip-$(CONFIG_MP4)	+= mp4.so
ip-$(CONFIG_AAC)	+= aac.so
ip-$(CONFIG_FFMPEG)	+= ffmpeg.so

$(flac-objs):		CFLAGS += $(FLAC_CFLAGS)
$(mad-objs):		CFLAGS += $(MAD_CFLAGS)
$(mikmod-objs):		CFLAGS += $(MIKMOD_CFLAGS)
$(modplug-objs):	CFLAGS += $(MODPLUG_CFLAGS)
$(mpc-objs):		CFLAGS += $(MPC_CFLAGS)
$(vorbis-objs):		CFLAGS += $(VORBIS_CFLAGS)
$(wavpack-objs):	CFLAGS += $(WAVPACK_CFLAGS)
$(mp4-objs):		CFLAGS += $(MP4_CFLAGS)
$(aac-objs):		CFLAGS += $(AAC_CFLAGS)
$(ffmpeg-objs):		CFLAGS += $(FFMPEG_CFLAGS)

flac.so: $(flac-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(FLAC_LIBS))

mad.so: $(mad-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MAD_LIBS) $(ICONV_LIBS))

mikmod.so: $(mikmod-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MIKMOD_LIBS))

modplug.so: $(modplug-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MODPLUG_LIBS))

mpc.so: $(mpc-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MPC_LIBS))

vorbis.so: $(vorbis-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(VORBIS_LIBS))

wavpack.so: $(wavpack-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(WAVPACK_LIBS))

wav.so: $(wav-objs) $(libcmus-y)
	$(call cmd,ld_dl,)

mp4.so: $(mp4-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MP4_LIBS))

aac.so: $(aac-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(AAC_LIBS))

ffmpeg.so: $(ffmpeg-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(FFMPEG_LIBS))

# }}}

# output plugins {{{
pulse-objs		:= pulse.lo
alsa-objs		:= alsa.lo mixer_alsa.lo
arts-objs		:= arts.lo
oss-objs		:= oss.lo mixer_oss.lo
sun-objs		:= sun.lo mixer_sun.lo
ao-objs			:= ao.lo
waveout-objs		:= waveout.lo
roar-objs               := roar.lo

op-$(CONFIG_PULSE)	+= pulse.so
op-$(CONFIG_ALSA)	+= alsa.so
op-$(CONFIG_ARTS)	+= arts.so
op-$(CONFIG_OSS)	+= oss.so
op-$(CONFIG_SUN)	+= sun.so
op-$(CONFIG_AO)		+= ao.so
op-$(CONFIG_WAVEOUT)	+= waveout.so
op-$(CONFIG_ROAR)       += roar.so

$(pulse-objs): CFLAGS	+= $(PULSE_CFLAGS)
$(alsa-objs): CFLAGS	+= $(ALSA_CFLAGS)
$(arts-objs): CFLAGS	+= $(ARTS_CFLAGS)
$(oss-objs):  CFLAGS	+= $(OSS_CFLAGS)
$(sun-objs):  CFLAGS	+= $(SUN_CFLAGS)
$(ao-objs):   CFLAGS	+= $(AO_CFLAGS)
$(waveout-objs): CFLAGS += $(WAVEOUT_CFLAGS)
$(roar-objs): CFLAGS	+= $(ROAR_CFLAGS)

pulse.so: $(pulse-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(PULSE_LIBS))

alsa.so: $(alsa-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ALSA_LIBS))

arts.so: $(arts-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ARTS_LIBS))

oss.so: $(oss-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(OSS_LIBS))

sun.so: $(sun-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(SUN_LIBS))

ao.so: $(ao-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(AO_LIBS))

waveout.so: $(waveout-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(WAVEOUT_LIBS))

roar.so: $(roar-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ROAR_LIBS))
# }}}

# man {{{
man1	:= Doc/cmus.1 Doc/cmus-remote.1
man7	:= Doc/cmus-tutorial.7

$(man1): Doc/ttman
$(man7): Doc/ttman

%.1: %.txt
	$(call cmd,ttman)

%.7: %.txt
	$(call cmd,ttman)

Doc/ttman.o: Doc/ttman.c
	$(call cmd,hostcc,)

Doc/ttman: Doc/ttman.o
	$(call cmd,hostld,)

quiet_cmd_ttman = MAN    $@
      cmd_ttman = Doc/ttman $< $@
# }}}

data		= $(wildcard data/*)

clean		+= *.o *.lo *.so cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1 Doc/*.7
distclean	+= .version config.mk config/*.h tags

main: cmus cmus-remote
plugins: $(ip-y) $(op-y)
man: $(man1) $(man7)

install-main: main
	$(INSTALL) -m755 $(bindir) cmus cmus-remote

install-plugins: plugins
	$(INSTALL) -m755 $(libdir)/cmus/ip $(ip-y)
	$(INSTALL) -m755 $(libdir)/cmus/op $(op-y)

install-data: man
	$(INSTALL) -m644 $(datadir)/cmus $(data)
	$(INSTALL) -m644 $(mandir)/man1 $(man1)
	$(INSTALL) -m644 $(mandir)/man7 $(man7)
	$(INSTALL) -m755 $(exampledir) cmus-status-display

install: all install-main install-plugins install-data

tags:
	exuberant-ctags *.[ch]

# generating tarball using GIT {{{
TARNAME	= cmus-$(VERSION)

dist:
	@tarname=$(TARNAME);						\
	test "$(_ver2)" || { echo "No such revision $(REV)"; exit 1; };	\
	echo "   DIST   $$tarname.tar.bz2";				\
	git archive --format=tar --prefix=$$tarname/ $(REV)^{tree} | bzip2 -c -9 > $$tarname.tar.bz2

# }}}

.PHONY: all main plugins man dist tags
.PHONY: install install-main install-plugins install-man

=== debian/changelog ===
cmus (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * Drop 0001-fix-compile-error-for-new-versions-of-ffmpeg.patch,
    applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Jul 2011 10:13:25 +0200

cmus (2.4.1-2) unstable; urgency=low

  * Add Ubuntu-specific patch to fix FTBFS with newest version of ffmpeg.
  * Replace negated list of architectures with linux-any (Closes: #634706).

 -- Alessio Treglia <alessio@debian.org>  Sat, 23 Jul 2011 10:48:29 +0200

=== debian/control ===
Source: cmus
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Ryan Kavanagh <ryanakca@kubuntu.org>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 libflac-dev,
 libncursesw5-dev,
 libmodplug-dev,
 libmad0-dev,
 libvorbis-dev,
 libpulse-dev (>= 0.9.19),
 libasound2-dev (>= 1.0.11) [linux-any],
 libmpcdec-dev,
 libao-dev,
 libfaad-dev,
 libroar-dev (>= 0.4~beta2),
 libwavpack-dev,
 libavformat-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://cmus.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/cmus.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cmus.git

Package: cmus
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: cmus-plugin-ffmpeg,
 ${shlibs:Recommends}
Description: lightweight ncurses audio player
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface. 
 .
 It currently supports different input formats:
  - Ogg Vorbis
  - MP3 (with libmad)
  - FLAC
  - Wav
  - Modules (with libmodplug)
  - Musepack
  - AAC
  - Windows Media Audio

Package: cmus-plugin-ffmpeg
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: cmus
Description: lightweight ncurses audio player (FFmpeg plugin)
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 This package adds FFmpeg support to C* Music Player.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed
CFLAGS+=-I/usr/include/ncursesw

%:
	dh $@

override_dh_auto_configure:
	./configure \
		prefix=/usr \
		CONFIG_ARTS=n \
		DEBUG=0

override_dh_install:
	dh_install -pcmus
	dh_movefiles -pcmus-plugin-ffmpeg --sourcedir=debian/cmus/ \
		/usr/lib/cmus/ip/ffmpeg.so

override_dh_shlibdeps:
	dh_shlibdeps -pcmus -Xroar.so -Xpulse.so
	dpkg-shlibdeps -O -dRecommends \
		debian/cmus/usr/lib/cmus/op/roar.so \
		debian/cmus/usr/lib/cmus/op/pulse.so | \
		cat >> debian/cmus.substvars
	dh_shlibdeps --remaining-packages

## cmus 2.4.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.4.2
+_ver3	= v2.4.3
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))

=== debian/changelog ===
cmus (2.4.3-2) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Update my email address to @debian.org
  * Drop DM-Upload-Allowed: yes, no longer needed

  [ Alessio Treglia ]
  * Build cmus without roar support. (Closes: #675610)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Jun 2012 20:07:57 +0200

cmus (2.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 12:55:46 +0100

=== debian/control ===
Source: cmus
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Ryan Kavanagh <rak@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libao-dev,
 libasound2-dev (>= 1.0.11) [linux-any],
 libavformat-dev,
 libfaad-dev,
 libflac-dev,
 libmad0-dev,
 libmodplug-dev,
 libmpcdec-dev,
 libncursesw5-dev,
 libpulse-dev (>= 0.9.19),
 libvorbis-dev,
 libwavpack-dev,
 pkg-config
Standards-Version: 3.9.3
Homepage: http://cmus.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/cmus.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cmus.git

Package: cmus
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 cmus-plugin-ffmpeg,
 ${shlibs:Recommends}
Description: lightweight ncurses audio player
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 It currently supports different input formats:
  - Ogg Vorbis
  - MP3 (with libmad)
  - FLAC
  - Wav
  - Modules (with libmodplug)
  - Musepack
  - AAC
  - Windows Media Audio

Package: cmus-plugin-ffmpeg
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 cmus
Description: lightweight ncurses audio player (FFmpeg plugin)
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 This package adds FFmpeg support to C* Music Player.

## cmus 2.5.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.4.3
+_ver3	= v2.5.0
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
@@ -18,11 +18,13 @@
 
 CFLAGS += -D_FILE_OFFSET_BITS=64
 
-CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) -lm $(COMPAT_LIBS)
+CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) $(DISCID_LIBS) $(CUE_LIBS) -lm $(COMPAT_LIBS)
 
 input.o main.o ui_curses.o pulse.lo: .version
 input.o main.o ui_curses.o pulse.lo: CFLAGS += -DVERSION=\"$(VERSION)\"
 main.o server.o: CFLAGS += -DDEFAULT_PORT=3000
+discid.o: CFLAGS += $(DISCID_CFLAGS)
+job.o cue_utils.o: CFLAGS += $(CUE_CFLAGS)
 
 .version: Makefile
 	@test "`cat $@ 2> /dev/null`" = "$(VERSION)" && exit 0; \
@@ -31,7 +33,7 @@
 # programs {{{
 cmus-y := \
 	ape.o browser.o buffer.o cache.o cmdline.o cmus.o command_mode.o comment.o \
-	convert.lo debug.o editable.o expr.o filters.o \
+	channelmap.o convert.lo debug.o discid.o editable.o expr.o filters.o \
 	format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o job.o \
 	keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
 	output.o pcm.o pl.o play_queue.o player.o \
@@ -40,6 +42,8 @@
 	track.o track_info.o tree.o u_collate.o uchar.o ui_curses.o \
 	window.o worker.o xstrjoin.o
 
+cmus-$(CONFIG_CUE) += cue_utils.o
+
 $(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS) $(DL_CFLAGS)
 
 cmus: $(cmus-y) file.o path.o prog.o xmalloc.o
@@ -63,6 +67,7 @@
 # }}}
 
 # input plugins {{{
+cdio-objs		:= cdio.lo
 flac-objs		:= flac.lo
 mad-objs		:= mad.lo nomad.lo
 mikmod-objs		:= mikmod.lo
@@ -74,7 +79,9 @@
 mp4-objs		:= mp4.lo
 aac-objs		:= aac.lo
 ffmpeg-objs		:= ffmpeg.lo
-
+cue-objs		:= cue.lo
+
+ip-$(CONFIG_CDIO)	+= cdio.so
 ip-$(CONFIG_FLAC)	+= flac.so
 ip-$(CONFIG_MAD)	+= mad.so
 ip-$(CONFIG_MIKMOD)	+= mikmod.so
@@ -86,7 +93,9 @@
 ip-$(CONFIG_MP4)	+= mp4.so
 ip-$(CONFIG_AAC)	+= aac.so
 ip-$(CONFIG_FFMPEG)	+= ffmpeg.so
-
+ip-$(CONFIG_CUE)	+= cue.so
+
+$(cdio-objs):		CFLAGS += $(CDIO_CFLAGS) $(CDDB_CFLAGS)
 $(flac-objs):		CFLAGS += $(FLAC_CFLAGS)
 $(mad-objs):		CFLAGS += $(MAD_CFLAGS)
 $(mikmod-objs):		CFLAGS += $(MIKMOD_CFLAGS)
@@ -97,6 +106,10 @@
 $(mp4-objs):		CFLAGS += $(MP4_CFLAGS)
 $(aac-objs):		CFLAGS += $(AAC_CFLAGS)
 $(ffmpeg-objs):		CFLAGS += $(FFMPEG_CFLAGS)
+$(cue-objs):		CFLAGS += $(CUE_CFLAGS)
+
+cdio.so: $(cdio-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(CDIO_LIBS) $(CDDB_LIBS))
 
 flac.so: $(flac-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(FLAC_LIBS))
@@ -130,6 +143,9 @@
 
 ffmpeg.so: $(ffmpeg-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(FFMPEG_LIBS))
+
+cue.so: $(cue-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(CUE_LIBS))
 
 # }}}
 
@@ -211,7 +227,7 @@
 
 data		= $(wildcard data/*)
 
-clean		+= *.o *.lo *.so cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1 Doc/*.7
+clean		+= *.o *.lo *.so cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1 Doc/*.7 .install.log
 distclean	+= .version config.mk config/*.h tags
 
 main: cmus cmus-remote

=== debian/changelog ===
cmus (2.5.0-4build1) trusty; urgency=low

  * No-change rebuild for libav transition.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 09 Nov 2013 01:26:36 -0500

cmus (2.5.0-4) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Patches were applied upstream

  [ Alessio Treglia ]
  * Add patch to prevent FTBFS. (Closes: #724181)

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Oct 2013 20:46:25 +0100

cmus (2.5.0-3) unstable; urgency=low

  * Don't FTBFS due to missing config.mk (Closes: #720781), 01_config.mk.diff
  * Fix typo in cmus binary, 02_fix_typo.diff
  * Enable build hardening
    + Bump debhelper version to 9.0.0 and compat to 9
    + Introduce 03_cppflags.diff to use CPPFLAGS; needed for function
      fortification
    + Override hardening-no-fortify-functions false positives
  * Bump standards version to 3.9.4
  * Switch to canonical Vcs-* fields
  * Enable verbose build logs

 -- Ryan Kavanagh <rak@debian.org>  Thu, 29 Aug 2013 13:48:30 -0400

cmus (2.5.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 May 2013 01:21:18 +0200

cmus (2.5.0-1) experimental; urgency=low

  * New upstream release:
    - CUE sheets support.
    - cdio input plugin.
    - support for WavPack `.wvc` correction files.
    - new «zenburn» color scheme and text attributes (bold/reverse/...)
      support for UI elements.
    - improved tab completion, new scroll_offset and icecast_default_charset
      options, even better tag parsing and compilations handling, and
      numerous small enhancements all over the place.
  * Build-depend on libcddb2-dev,libcdio-cdda-dev.

 -- Alessio Treglia <alessio@debian.org>  Thu, 15 Nov 2012 00:28:20 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9.0.0),
  libao-dev,
  libasound2-dev (>= 1.0.11) [linux-any],
  libavformat-dev,
+ libcddb2-dev,
+ libcdio-cdda-dev,
  libfaad-dev,
  libflac-dev,
  libmad0-dev,
@@ -20,10 +22,10 @@
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://cmus.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-multimedia/cmus.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cmus.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cmus.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/cmus.git
 
 Package: cmus
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 		CONFIG_ARTS=n \
 		DEBUG=0
 
+override_dh_auto_build:
+	# Pass V=2 to make to enable verbose build logs, which is useful for
+	# porters, sorting out build hardening issues, etc.
+	dh_auto_build -- V=2
+
 override_dh_install:
 	dh_install -pcmus
 	dh_movefiles -pcmus-plugin-ffmpeg --sourcedir=debian/cmus/ \
@@ -21,7 +26,6 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -pcmus -Xroar.so -Xpulse.so
 	dpkg-shlibdeps -O -dRecommends \
-		debian/cmus/usr/lib/cmus/op/roar.so \
 		debian/cmus/usr/lib/cmus/op/pulse.so | \
 		cat >> debian/cmus.substvars
 	dh_shlibdeps --remaining-packages

=== debian/watch ===
version=3
opts=uversionmangle=s/([\d\.]+)-(rc|beta)(.*)/\1~\2\3/ \
http://sf.net/cmus/cmus-v(.*)\.tar\.bz2

## cmus 2.7.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.5.0
+_ver3	= v2.7.1
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
@@ -17,6 +17,9 @@
 include scripts/lib.mk
 
 CFLAGS += -D_FILE_OFFSET_BITS=64
+
+FFMPEG_CFLAGS += $(shell pkg-config --cflags libswresample)
+FFMPEG_LIBS += $(shell pkg-config --libs libswresample)
 
 CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) $(DISCID_LIBS) $(CUE_LIBS) -lm $(COMPAT_LIBS)
 
@@ -49,7 +52,7 @@
 cmus: $(cmus-y) file.o path.o prog.o xmalloc.o
 	$(call cmd,ld,$(CMUS_LIBS))
 
-cmus-remote: main.o file.o path.o prog.o xmalloc.o
+cmus-remote: main.o file.o misc.o path.o prog.o xmalloc.o xstrjoin.o
 	$(call cmd,ld,$(COMPAT_LIBS))
 
 # cygwin compat
@@ -74,12 +77,14 @@
 modplug-objs		:= modplug.lo
 mpc-objs		:= mpc.lo
 vorbis-objs		:= vorbis.lo
+opus-objs		:= opus.lo
 wavpack-objs		:= wavpack.lo
 wav-objs		:= wav.lo
 mp4-objs		:= mp4.lo
 aac-objs		:= aac.lo
 ffmpeg-objs		:= ffmpeg.lo
 cue-objs		:= cue.lo
+vtx-objs		:= vtx.lo
 
 ip-$(CONFIG_CDIO)	+= cdio.so
 ip-$(CONFIG_FLAC)	+= flac.so
@@ -88,12 +93,14 @@
 ip-$(CONFIG_MODPLUG)	+= modplug.so
 ip-$(CONFIG_MPC)	+= mpc.so
 ip-$(CONFIG_VORBIS)	+= vorbis.so
+ip-$(CONFIG_OPUS)	+= opus.so
 ip-$(CONFIG_WAVPACK)	+= wavpack.so
 ip-$(CONFIG_WAV)	+= wav.so
 ip-$(CONFIG_MP4)	+= mp4.so
 ip-$(CONFIG_AAC)	+= aac.so
 ip-$(CONFIG_FFMPEG)	+= ffmpeg.so
 ip-$(CONFIG_CUE)	+= cue.so
+ip-$(CONFIG_VTX)	+= vtx.so
 
 $(cdio-objs):		CFLAGS += $(CDIO_CFLAGS) $(CDDB_CFLAGS)
 $(flac-objs):		CFLAGS += $(FLAC_CFLAGS)
@@ -102,11 +109,13 @@
 $(modplug-objs):	CFLAGS += $(MODPLUG_CFLAGS)
 $(mpc-objs):		CFLAGS += $(MPC_CFLAGS)
 $(vorbis-objs):		CFLAGS += $(VORBIS_CFLAGS)
+$(opus-objs):		CFLAGS += $(OPUS_CFLAGS)
 $(wavpack-objs):	CFLAGS += $(WAVPACK_CFLAGS)
 $(mp4-objs):		CFLAGS += $(MP4_CFLAGS)
 $(aac-objs):		CFLAGS += $(AAC_CFLAGS)
 $(ffmpeg-objs):		CFLAGS += $(FFMPEG_CFLAGS)
 $(cue-objs):		CFLAGS += $(CUE_CFLAGS)
+$(vtx-objs):		CFLAGS += $(VTX_CFLAGS)
 
 cdio.so: $(cdio-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(CDIO_LIBS) $(CDDB_LIBS))
@@ -129,6 +138,9 @@
 vorbis.so: $(vorbis-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(VORBIS_LIBS))
 
+opus.so: $(opus-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(OPUS_LIBS))
+
 wavpack.so: $(wavpack-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(WAVPACK_LIBS))
 
@@ -146,23 +158,30 @@
 
 cue.so: $(cue-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(CUE_LIBS))
+
+vtx.so: $(vtx-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(VTX_LIBS))
 
 # }}}
 
 # output plugins {{{
 pulse-objs		:= pulse.lo
 alsa-objs		:= alsa.lo mixer_alsa.lo
+jack-objs		:= jack.lo
 arts-objs		:= arts.lo
 oss-objs		:= oss.lo mixer_oss.lo
 sun-objs		:= sun.lo mixer_sun.lo
+sndio-objs		:= sndio.lo
 ao-objs			:= ao.lo
 waveout-objs		:= waveout.lo
 roar-objs               := roar.lo
 
 op-$(CONFIG_PULSE)	+= pulse.so
 op-$(CONFIG_ALSA)	+= alsa.so
+op-$(CONFIG_JACK)	+= jack.so
 op-$(CONFIG_ARTS)	+= arts.so
 op-$(CONFIG_OSS)	+= oss.so
+op-$(CONFIG_SNDIO)	+= sndio.so
 op-$(CONFIG_SUN)	+= sun.so
 op-$(CONFIG_AO)		+= ao.so
 op-$(CONFIG_WAVEOUT)	+= waveout.so
@@ -170,8 +189,10 @@
 
 $(pulse-objs): CFLAGS	+= $(PULSE_CFLAGS)
 $(alsa-objs): CFLAGS	+= $(ALSA_CFLAGS)
+$(jack-objs): CFLAGS	+= $(JACK_CFLAGS) $(SAMPLERATE_CFLAGS)
 $(arts-objs): CFLAGS	+= $(ARTS_CFLAGS)
 $(oss-objs):  CFLAGS	+= $(OSS_CFLAGS)
+$(sndio-objs): CFLAGS	+= $(SNDIO_CFLAGS)
 $(sun-objs):  CFLAGS	+= $(SUN_CFLAGS)
 $(ao-objs):   CFLAGS	+= $(AO_CFLAGS)
 $(waveout-objs): CFLAGS += $(WAVEOUT_CFLAGS)
@@ -183,11 +204,17 @@
 alsa.so: $(alsa-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(ALSA_LIBS))
 
+jack.so: $(jack-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(JACK_LIBS) $(SAMPLERATE_LIBS))
+
 arts.so: $(arts-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(ARTS_LIBS))
 
 oss.so: $(oss-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(OSS_LIBS))
+
+sndio.so: $(sndio-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(SNDIO_LIBS))
 
 sun.so: $(sun-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(SUN_LIBS))

=== debian/changelog ===
cmus (2.7.1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:16 +0000

cmus (2.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Demote extra plugins to Suggests (Closes: #789256)
  * Refresh patchset for 2.6.0.

  [ Sebastian Ramacher ]
  * New upstream release. (Closes: #779335, #792134)
    - Use libswresample instead of libavresample. (Closes: #805169, #805109)
  * Update path for README
  * debian/control:
    - Add libdiscid-dev, libopusfile-dev, libsamplerate0-dev and libjack-dev
      to Build-Depends.
    - Change libavresample-dev to libswresample-dev in Build-Depends and add
      libavcodec-dev.
    - Add bash-completion to Build-Depends.
    - Bump Standards-Version to 3.9.6.
    - Update Vcs-Browser.
    - Make cmus-plugin-ffmpeg depend on the same version of cmus (Closes:
      #695072)
  * debian/cmus.install: Install zsh completion.
  * debian/cmus.bash-completion: Install bash completion.
  * debian/rules:
    - Build with --parallel and --with bash-completion.
    - Handle jack shlibs similar to pulse.
  * debian/patches:
    - libav10.patch: Removed, no longer needed.
    - 02_link_avcodec.patch: Functions from libavcodec are used so make sure
      the ffmpeg plugin is linked against libavcodec.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Nov 2015 19:24:52 +0100

cmus (2.5.0-7) unstable; urgency=medium

  * Re-introduce Roaraudio support (Closes: #680745):
    - debian/control: Add build-dependency on libroad-dev.
    - debian/rules: Tune dpkg-shlibdeps call to move pulse and roar's
      dependencies to Recommends. Made the whole mechanism slightly more
      elegant.
  * Enable CUE support.
  * The project has moved to github, update the Homepage field accordingly.
  * Update debian/watch, project has moved from sourceforge to github.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Aug 2014 13:45:10 +0100

cmus (2.5.0-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 May 2014 23:45:16 +0200

cmus (2.5.0-5) experimental; urgency=low

  * Team upload.
  * Compile against libav10 (Closes: #739301)
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 24 Mar 2014 19:35:28 -0400

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,35 @@
  Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper (>= 9.0.0),
+ debhelper (>= 9),
+ bash-completion,
  libao-dev,
  libasound2-dev (>= 1.0.11) [linux-any],
- libavformat-dev,
+ libavcodec-dev,
+ libavformat-dev (>= 6:10~),
+ libswresample-dev,
  libcddb2-dev,
  libcdio-cdda-dev,
+ libcue-dev,
+ libdiscid-dev,
  libfaad-dev,
  libflac-dev,
+ libjack-dev,
  libmad0-dev,
  libmodplug-dev,
  libmpcdec-dev,
  libncursesw5-dev,
+ libopusfile-dev,
  libpulse-dev (>= 0.9.19),
+ libroar-dev,
+ libsamplerate0-dev,
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 3.9.4
-Homepage: http://cmus.sourceforge.net/
+Standards-Version: 3.9.6
+Homepage: https://cmus.github.io/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cmus.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/cmus.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/cmus.git
 
 Package: cmus
 Architecture: any
@@ -33,8 +42,9 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- cmus-plugin-ffmpeg,
- ${shlibs:Recommends}
+ cmus-plugin-ffmpeg
+Suggests:
+ ${shlibs:Suggests}
 Description: lightweight ncurses audio player
  C* Music Player is a modular and very configurable ncurses-based audio player.
  It has some interesting features like configurable colorscheme, mp3 and ogg
@@ -55,9 +65,8 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- cmus
+ ${shlibs:Depends},
+ cmus (= ${binary:Version})
 Description: lightweight ncurses audio player (FFmpeg plugin)
  C* Music Player is a modular and very configurable ncurses-based audio player.
  It has some interesting features like configurable colorscheme, mp3 and ogg

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,13 @@
 LDFLAGS+=-Wl,--as-needed
 CFLAGS+=-I/usr/include/ncursesw
 
+suggested_deps = pulse roar jack
+
+EXTRA_CMUS_DIR_OP_PLUGINS = debian/cmus/usr/lib/cmus/op/
+EXTRA_CMUS_PLUGINS := $(foreach plugin,$(suggested_deps),$(plugin).so)
+
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_configure:
 	./configure \
@@ -23,9 +28,15 @@
 	dh_movefiles -pcmus-plugin-ffmpeg --sourcedir=debian/cmus/ \
 		/usr/lib/cmus/ip/ffmpeg.so
 
+override_dh_installdocs:
+	dh_installdocs
+	# do not install zsh and bash completion twice
+	rm debian/cmus/usr/share/doc/cmus/contrib/_cmus \
+		debian/cmus/usr/share/doc/cmus/contrib/cmus.bash-completion
+
 override_dh_shlibdeps:
-	dh_shlibdeps -pcmus -Xroar.so -Xpulse.so
-	dpkg-shlibdeps -O -dRecommends \
-		debian/cmus/usr/lib/cmus/op/pulse.so | \
-		cat >> debian/cmus.substvars
+	dh_shlibdeps -pcmus $(foreach plugin,$(EXTRA_CMUS_PLUGINS),-X$(plugin))
+	dpkg-shlibdeps -O -dSuggests \
+		$(foreach plugin,$(EXTRA_CMUS_PLUGINS),$(EXTRA_CMUS_DIR_OP_PLUGINS)$(plugin)) \
+		>> debian/cmus.substvars
 	dh_shlibdeps --remaining-packages

=== debian/watch ===
version=3
opts="uversionmangle=s/([\d\.]+)-(rc|beta)(.*)/\1~\2\3/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cmus-$1\.tar\.gz/" \
https://github.com/cmus/cmus/tags .*/v?(\d\S*)\.tar\.gz

## cmus 2.7.1%2Bgit20160225

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cmus
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -31,10 +30,10 @@
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://cmus.github.io/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cmus.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/cmus.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus
 
 Package: cmus
 Architecture: any

## cmus 2.7.1+git20160225

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,13 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.7.1
+_ver3	= v2.7.0
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
 all: main plugins man
 
-include config.mk
+-include config.mk
 include scripts/lib.mk
 
 CFLAGS += -D_FILE_OFFSET_BITS=64
@@ -173,6 +173,7 @@
 sun-objs		:= sun.lo mixer_sun.lo
 sndio-objs		:= sndio.lo
 ao-objs			:= ao.lo
+coreaudio-objs		:= coreaudio.lo
 waveout-objs		:= waveout.lo
 roar-objs               := roar.lo
 
@@ -183,20 +184,22 @@
 op-$(CONFIG_OSS)	+= oss.so
 op-$(CONFIG_SNDIO)	+= sndio.so
 op-$(CONFIG_SUN)	+= sun.so
+op-$(CONFIG_COREAUDIO)	+= coreaudio.so
 op-$(CONFIG_AO)		+= ao.so
 op-$(CONFIG_WAVEOUT)	+= waveout.so
 op-$(CONFIG_ROAR)       += roar.so
 
-$(pulse-objs): CFLAGS	+= $(PULSE_CFLAGS)
-$(alsa-objs): CFLAGS	+= $(ALSA_CFLAGS)
-$(jack-objs): CFLAGS	+= $(JACK_CFLAGS) $(SAMPLERATE_CFLAGS)
-$(arts-objs): CFLAGS	+= $(ARTS_CFLAGS)
-$(oss-objs):  CFLAGS	+= $(OSS_CFLAGS)
-$(sndio-objs): CFLAGS	+= $(SNDIO_CFLAGS)
-$(sun-objs):  CFLAGS	+= $(SUN_CFLAGS)
-$(ao-objs):   CFLAGS	+= $(AO_CFLAGS)
-$(waveout-objs): CFLAGS += $(WAVEOUT_CFLAGS)
-$(roar-objs): CFLAGS	+= $(ROAR_CFLAGS)
+$(pulse-objs): CFLAGS		+= $(PULSE_CFLAGS)
+$(alsa-objs): CFLAGS		+= $(ALSA_CFLAGS)
+$(jack-objs): CFLAGS		+= $(JACK_CFLAGS) $(SAMPLERATE_CFLAGS)
+$(arts-objs): CFLAGS		+= $(ARTS_CFLAGS)
+$(oss-objs):  CFLAGS		+= $(OSS_CFLAGS)
+$(sndio-objs): CFLAGS		+= $(SNDIO_CFLAGS)
+$(sun-objs):  CFLAGS		+= $(SUN_CFLAGS)
+$(ao-objs):   CFLAGS		+= $(AO_CFLAGS)
+$(coreaudio-objs): CFLAGS	+= $(COREAUDIO_CFLAGS)
+$(waveout-objs): CFLAGS 	+= $(WAVEOUT_CFLAGS)
+$(roar-objs): CFLAGS		+= $(ROAR_CFLAGS)
 
 pulse.so: $(pulse-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(PULSE_LIBS))
@@ -221,6 +224,9 @@
 
 ao.so: $(ao-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(AO_LIBS))
+
+coreaudio.so: $(coreaudio-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(COREAUDIO_LIBS))
 
 waveout.so: $(waveout-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(WAVEOUT_LIBS))

=== debian/changelog ===
cmus (2.7.1+git20160225-1build3) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 01:19:23 +0000

cmus (2.7.1+git20160225-1build2) bionic; urgency=medium

  * No-change rebuild for libcdaudio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 11:32:35 +0000

cmus (2.7.1+git20160225-1build1) yakkety; urgency=medium

  * Rebuild for ffmpeg 3.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 30 Apr 2016 14:46:54 +0100

cmus (2.7.1+git20160225-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
    - Fix build against ffmpeg 3.0. (Closes: #810557)
  * debian/patches/{01_config.mk.diff,02_link_avcodec.patch}: Removed, applied
    upstream.
  * debian/control:
    - Bump Standards Version.
    - Update Vcs-Git.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2016 21:37:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: cmus
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
+ Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -32,8 +34,8 @@
  pkg-config
 Standards-Version: 3.9.7
 Homepage: https://cmus.github.io/
-Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/cmus.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/cmus.git
 
 Package: cmus
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -40,3 +40,21 @@
 		$(foreach plugin,$(EXTRA_CMUS_PLUGINS),$(EXTRA_CMUS_DIR_OP_PLUGINS)$(plugin)) \
 		>> debian/cmus.substvars
 	dh_shlibdeps --remaining-packages
+
+DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
+DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
+	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)+git.*/\1/p')
+COMMIT=6704e786e6dcc28b3f989cf3f5ca22a36033472d
+get-orig-source:
+	TMPD=`mktemp -d` && \
+		git clone https://github.com/cmus/cmus \
+			"$$TMPD/cmus" && \
+		git --git-dir="$$TMPD/cmus/.git" archive \
+			--prefix=cmus/ $(COMMIT) | \
+			xz > $$TMPD/cmus.tar.xz && \
+		CDATE=`git --git-dir="$$TMPD/cmus/.git" show \
+			--format=format:%ci -s $(COMMIT) | \
+			awk '{ gsub(/-/,""); print $$1 }'` && \
+		mv $$TMPD/cmus.tar.xz \
+			cmus_$(DEB_UPSTREAM_VER)+git$$CDATE.orig.tar.xz && \
+		rm -rf $$TMPD

## cmus 2.8.0

=== Makefile ===
REV	= HEAD

# version from an annotated tag
_ver0	= $(shell git describe $(REV) 2>/dev/null)
# version from a plain tag
_ver1	= $(shell git describe --tags $(REV) 2>/dev/null)
# SHA1
_ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
# hand-made
_ver3	= v2.8.0

VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))

all: main plugins man

-include config.mk
include scripts/lib.mk

CFLAGS += -D_FILE_OFFSET_BITS=64

FFMPEG_CFLAGS += $(shell pkg-config --cflags libswresample)
FFMPEG_LIBS += $(shell pkg-config --libs libswresample)

CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) $(DISCID_LIBS) \
			-lm $(COMPAT_LIBS) $(LIBSYSTEMD_LIBS)

command_mode.o input.o main.o ui_curses.o op/pulse.lo: .version
command_mode.o input.o main.o ui_curses.o op/pulse.lo: CFLAGS += -DVERSION=\"$(VERSION)\"
main.o server.o: CFLAGS += -DDEFAULT_PORT=3000
discid.o: CFLAGS += $(DISCID_CFLAGS)
mpris.o: CFLAGS += $(LIBSYSTEMD_CFLAGS)

.version: Makefile
	@test "`cat $@ 2> /dev/null`" = "$(VERSION)" && exit 0; \
	echo "   GEN    $@"; echo $(VERSION) > $@

# programs {{{
cmus-y := \
	ape.o browser.o buffer.o cache.o channelmap.o cmdline.o cmus.o command_mode.o \
	comment.o convert.lo cue.o cue_utils.o debug.o discid.o editable.o expr.o \
	filters.o format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o \
	job.o keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
	output.o pcm.o player.o play_queue.o pl.o rbtree.o read_wrapper.o search_mode.o \
	search.o server.o spawn.o tabexp_file.o tabexp.o track_info.o track.o tree.o \
	uchar.o u_collate.o ui_curses.o window.o worker.o xstrjoin.o

cmus-$(CONFIG_MPRIS) += mpris.o

$(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS) $(DL_CFLAGS)

cmus: $(cmus-y) file.o path.o prog.o xmalloc.o
	$(call cmd,ld,$(CMUS_LIBS))

cmus-remote: main.o file.o misc.o path.o prog.o xmalloc.o xstrjoin.o
	$(call cmd,ld,$(COMPAT_LIBS))

# cygwin compat
DLLTOOL=dlltool

libcmus-$(CONFIG_CYGWIN) := libcmus.a

libcmus.a: $(cmus-y) file.o path.o prog.o xmalloc.o
	$(LD) -shared -o cmus.exe -Wl,--out-implib=libcmus.a -Wl,--base-file,cmus.base \
		-Wl,--export-all-symbols -Wl,--no-whole-archive $^ $(CMUS_LIBS)
	$(DLLTOOL) --output-def cmus.def --dllname cmus.exe --export-all-symbols $^
	$(DLLTOOL) --base-file cmus.base --dllname cmus.exe --input-def cmus.def --output-exp cmus.exp
	$(LD) -o cmus.exe -Wl,cmus.exp $^ $(CMUS_LIBS)

# }}}

# input plugins {{{
cdio-objs		:= ip/cdio.lo
flac-objs		:= ip/flac.lo
mad-objs		:= ip/mad.lo ip/nomad.lo
mikmod-objs		:= ip/mikmod.lo
modplug-objs		:= ip/modplug.lo
bass-objs		:= ip/bass.lo
mpc-objs		:= ip/mpc.lo
vorbis-objs		:= ip/vorbis.lo
opus-objs		:= ip/opus.lo
wavpack-objs		:= ip/wavpack.lo
wav-objs		:= ip/wav.lo
mp4-objs		:= ip/mp4.lo
aac-objs		:= ip/aac.lo
ffmpeg-objs		:= ip/ffmpeg.lo
cue-objs		:= ip/cue.lo
vtx-objs		:= ip/vtx.lo

ip-$(CONFIG_CDIO)	+= ip/cdio.so
ip-$(CONFIG_FLAC)	+= ip/flac.so
ip-$(CONFIG_MAD)	+= ip/mad.so
ip-$(CONFIG_MIKMOD)	+= ip/mikmod.so
ip-$(CONFIG_MODPLUG)	+= ip/modplug.so
ip-$(CONFIG_BASS)	+= ip/bass.so
ip-$(CONFIG_MPC)	+= ip/mpc.so
ip-$(CONFIG_VORBIS)	+= ip/vorbis.so
ip-$(CONFIG_OPUS)	+= ip/opus.so
ip-$(CONFIG_WAVPACK)	+= ip/wavpack.so
ip-$(CONFIG_WAV)	+= ip/wav.so
ip-$(CONFIG_MP4)	+= ip/mp4.so
ip-$(CONFIG_AAC)	+= ip/aac.so
ip-$(CONFIG_FFMPEG)	+= ip/ffmpeg.so
ip-$(CONFIG_CUE)	+= ip/cue.so
ip-$(CONFIG_VTX)	+= ip/vtx.so

$(cdio-objs):		CFLAGS += $(CDIO_CFLAGS) $(CDDB_CFLAGS)
$(flac-objs):		CFLAGS += $(FLAC_CFLAGS)
$(mad-objs):		CFLAGS += $(MAD_CFLAGS)
$(mikmod-objs):		CFLAGS += $(MIKMOD_CFLAGS)
$(modplug-objs):	CFLAGS += $(MODPLUG_CFLAGS)
$(bass-objs):		CFLAGS += $(BASS_CFLAGS)
$(mpc-objs):		CFLAGS += $(MPC_CFLAGS)
$(vorbis-objs):		CFLAGS += $(VORBIS_CFLAGS)
$(opus-objs):		CFLAGS += $(OPUS_CFLAGS)
$(wavpack-objs):	CFLAGS += $(WAVPACK_CFLAGS)
$(mp4-objs):		CFLAGS += $(MP4_CFLAGS)
$(aac-objs):		CFLAGS += $(AAC_CFLAGS)
$(ffmpeg-objs):		CFLAGS += $(FFMPEG_CFLAGS)
$(vtx-objs):		CFLAGS += $(VTX_CFLAGS)

ip/cdio.so: $(cdio-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(CDIO_LIBS) $(CDDB_LIBS))

ip/flac.so: $(flac-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(FLAC_LIBS))

ip/mad.so: $(mad-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MAD_LIBS) $(ICONV_LIBS))

ip/mikmod.so: $(mikmod-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MIKMOD_LIBS))

ip/modplug.so: $(modplug-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MODPLUG_LIBS))

ip/bass.so: $(bass-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(BASS_LIBS))

ip/mpc.so: $(mpc-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MPC_LIBS))

ip/vorbis.so: $(vorbis-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(VORBIS_LIBS))

ip/opus.so: $(opus-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(OPUS_LIBS))

ip/wavpack.so: $(wavpack-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(WAVPACK_LIBS))

ip/wav.so: $(wav-objs) $(libcmus-y)
	$(call cmd,ld_dl,)

ip/mp4.so: $(mp4-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MP4_LIBS))

ip/aac.so: $(aac-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(AAC_LIBS))

ip/ffmpeg.so: $(ffmpeg-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(FFMPEG_LIBS))

ip/cue.so: $(cue-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(CUE_LIBS))

ip/vtx.so: $(vtx-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(VTX_LIBS))

# }}}

# output plugins {{{
pulse-objs		:= op/pulse.lo
alsa-objs		:= op/alsa.lo op/mixer_alsa.lo
jack-objs		:= op/jack.lo
arts-objs		:= op/arts.lo
oss-objs		:= op/oss.lo op/mixer_oss.lo
sun-objs		:= op/sun.lo op/mixer_sun.lo
sndio-objs		:= op/sndio.lo
ao-objs			:= op/ao.lo
coreaudio-objs		:= op/coreaudio.lo
waveout-objs		:= op/waveout.lo
roar-objs               := op/roar.lo

op-$(CONFIG_PULSE)	+= op/pulse.so
op-$(CONFIG_ALSA)	+= op/alsa.so
op-$(CONFIG_JACK)	+= op/jack.so
op-$(CONFIG_ARTS)	+= op/arts.so
op-$(CONFIG_OSS)	+= op/oss.so
op-$(CONFIG_SNDIO)	+= op/sndio.so
op-$(CONFIG_SUN)	+= op/sun.so
op-$(CONFIG_COREAUDIO)	+= op/coreaudio.so
op-$(CONFIG_AO)		+= op/ao.so
op-$(CONFIG_WAVEOUT)	+= op/waveout.so
op-$(CONFIG_ROAR)       += op/roar.so

$(pulse-objs): CFLAGS		+= $(PULSE_CFLAGS)
$(alsa-objs): CFLAGS		+= $(ALSA_CFLAGS)
$(jack-objs): CFLAGS		+= $(JACK_CFLAGS) $(SAMPLERATE_CFLAGS)
$(arts-objs): CFLAGS		+= $(ARTS_CFLAGS)
$(oss-objs):  CFLAGS		+= $(OSS_CFLAGS)
$(sndio-objs): CFLAGS		+= $(SNDIO_CFLAGS)
$(sun-objs):  CFLAGS		+= $(SUN_CFLAGS)
$(ao-objs):   CFLAGS		+= $(AO_CFLAGS)
$(coreaudio-objs): CFLAGS	+= $(COREAUDIO_CFLAGS)
$(waveout-objs): CFLAGS 	+= $(WAVEOUT_CFLAGS)
$(roar-objs): CFLAGS		+= $(ROAR_CFLAGS)

op/pulse.so: $(pulse-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(PULSE_LIBS))

op/alsa.so: $(alsa-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ALSA_LIBS))

op/jack.so: $(jack-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(JACK_LIBS) $(SAMPLERATE_LIBS))

op/arts.so: $(arts-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ARTS_LIBS))

op/oss.so: $(oss-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(OSS_LIBS))

op/sndio.so: $(sndio-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(SNDIO_LIBS))

op/sun.so: $(sun-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(SUN_LIBS))

op/ao.so: $(ao-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(AO_LIBS))

op/coreaudio.so: $(coreaudio-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(COREAUDIO_LIBS))

op/waveout.so: $(waveout-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(WAVEOUT_LIBS))

op/roar.so: $(roar-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ROAR_LIBS))
# }}}

# man {{{
man1	:= Doc/cmus.1 Doc/cmus-remote.1
man7	:= Doc/cmus-tutorial.7

$(man1): Doc/ttman
$(man7): Doc/ttman

%.1: %.txt
	$(call cmd,ttman)

%.7: %.txt
	$(call cmd,ttman)

Doc/ttman.o: Doc/ttman.c
	$(call cmd,hostcc,)

Doc/ttman: Doc/ttman.o
	$(call cmd,hostld,)

quiet_cmd_ttman = MAN    $@
      cmd_ttman = Doc/ttman $< $@
# }}}

data		= $(wildcard data/*)

clean		+= *.o ip/*.lo op/*.lo ip/*.so op/*.so cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1 Doc/*.7 .install.log
distclean	+= .version config.mk config/*.h tags

main: cmus cmus-remote
plugins: $(ip-y) $(op-y)
man: $(man1) $(man7)

install-main: main
	$(INSTALL) -m755 $(bindir) cmus cmus-remote

install-plugins: plugins
	$(INSTALL) -m755 $(libdir)/cmus/ip $(ip-y)
	$(INSTALL) -m755 $(libdir)/cmus/op $(op-y)

install-data: man
	$(INSTALL) -m644 $(datadir)/cmus $(data)
	$(INSTALL) -m644 $(mandir)/man1 $(man1)
	$(INSTALL) -m644 $(mandir)/man7 $(man7)
	$(INSTALL) -m755 $(exampledir) cmus-status-display

install: all install-main install-plugins install-data

tags:
	exuberant-ctags *.[ch]

# generating tarball using GIT {{{
TARNAME	= cmus-$(VERSION)

dist:
	@tarname=$(TARNAME);						\
	test "$(_ver2)" || { echo "No such revision $(REV)"; exit 1; };	\
	echo "   DIST   $$tarname.tar.bz2";				\
	git archive --format=tar --prefix=$$tarname/ $(REV)^{tree} | bzip2 -c -9 > $$tarname.tar.bz2

# }}}

.PHONY: all main plugins man dist tags
.PHONY: install install-main install-plugins install-man

=== debian/changelog ===
cmus (2.8.0-2) unstable; urgency=medium

  * Set build flags via /usr/share/dpkg/buildflags.mk
  * Link with -latomic to fix FTBFS on various architectures (Closes: #935678)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 07 Sep 2019 10:37:13 -0400

cmus (2.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Helmut Grohne ]
  * Fix FTCBFS: Supply a cross environment to ./configure. (Closes: #911163)

  [ Ryan Kavanagh ]
  * New upstream version 2.8.0 (Closes: #932107, #783498)
    + Update copyright file with new holders
    + Drop 12-ffmpeg-4.0.patch (applied upstream)
    + Refresh patches
  * Drop outdated get-orig-source target from rules
  * Fix typos in source, 12-typos.patch
  * Enable hardening
  * Bump debphelper compat to 12
  * Bump standards-version to 4.4.0
  * cmus-plugin-ffmpeg (<< 2.8.0) breaks cmus (>= 2.8.0)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 17 Aug 2019 14:51:27 -0400

cmus (2.7.1+git20160225-2) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * Add upstream patch to fix FTBFS with FFmpeg 4.0. (Closes: #888384)
  * d/changelog: Remove trailing blank line.

  [ Alessio Treglia ]
  * Remove myself from the Uploaders field.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/changelog: Remove trailing whitespaces.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

 -- James Cowgill <jcowgill@debian.org>  Thu, 17 May 2018 11:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: cmus
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  bash-completion,
  libao-dev,
  libasound2-dev (>= 1.0.11) [linux-any],
@@ -32,10 +30,10 @@
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 4.4.0
 Homepage: https://cmus.github.io/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/cmus.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/cmus.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus
 
 Package: cmus
 Architecture: any
@@ -46,6 +44,7 @@
  cmus-plugin-ffmpeg
 Suggests:
  ${shlibs:Suggests}
+Breaks: cmus-plugin-ffmpeg (<< 2.8.0)
 Description: lightweight ncurses audio player
  C* Music Player is a modular and very configurable ncurses-based audio player.
  It has some interesting features like configurable colorscheme, mp3 and ogg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
CROSS = CROSS=$(DEB_HOST_GNU_TYPE)- PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

# The following architectures need the -latomic flag
# to build, otherwise we FTBFS with
#    ./track_info.c:47: undefined reference to `__atomic_fetch_add_8'
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=935678
# Depends on 13-atomic_ld.patch
ifneq (,$(findstring $(DEB_BUILD_ARCH), armel m68k mipsel powerpc sh4))
export LDLIBS += -latomic
endif

DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed
DEB_CFLAGS_MAINT_APPEND  += -I/usr/include/ncursesw
DEB_BUILD_MAINT_OPTIONS   = hardening=+all
DPKG_EXPORT_BUILDFLAGS    = 1
include /usr/share/dpkg/buildflags.mk

suggested_deps = pulse roar jack

EXTRA_CMUS_DIR_OP_PLUGINS = debian/cmus/usr/lib/cmus/op/
EXTRA_CMUS_PLUGINS := $(foreach plugin,$(suggested_deps),$(plugin).so)

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	$(CROSS) ./configure \
		prefix=/usr \
		CONFIG_ARTS=n \
		DEBUG=0

override_dh_auto_build:
	# Pass V=2 to make to enable verbose build logs, which is useful for
	# porters, sorting out build hardening issues, etc.
	dh_auto_build -- V=2

override_dh_install:
	dh_install -pcmus
	dh_movefiles -pcmus-plugin-ffmpeg --sourcedir=debian/cmus/ \
		/usr/lib/cmus/ip/ffmpeg.so

override_dh_installdocs:
	dh_installdocs
	# do not install zsh and bash completion twice
	rm debian/cmus/usr/share/doc/cmus/contrib/_cmus \
		debian/cmus/usr/share/doc/cmus/contrib/cmus.bash-completion

override_dh_shlibdeps:
	dh_shlibdeps -pcmus $(foreach plugin,$(EXTRA_CMUS_PLUGINS),-X$(plugin))
	dpkg-shlibdeps -O -dSuggests \
		$(foreach plugin,$(EXTRA_CMUS_PLUGINS),$(EXTRA_CMUS_DIR_OP_PLUGINS)$(plugin)) \
		>> debian/cmus.substvars
	dh_shlibdeps --remaining-packages

=== debian/watch ===
version=3
opts="dversionmangle=s/\+git\d+$//,uversionmangle=s/([\d\.]+)-(rc|beta)(.*)/\1~\2\3/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cmus-$1\.tar\.gz/" \
https://github.com/cmus/cmus/tags .*/v?(\d\S*)\.tar\.gz
